<template functional>
  <span
    :ref="data.ref"
    class="font-medium tracking-wide uppercase"
    :class="[data.class, data.staticClass]"
    :style="[data.style, data.staticStyle]"
    v-bind="data.attrs"
    v-on="listeners"
  >
    <g-link
      v-if="$options.methods.internal(props.path)"
      :to="props.path"
      class="reset navbar-item py-1 fx-underline"
    >
      {{ props.label }}
    </g-link>
    <a
      v-else
      :href="`${props.path}?ref=eudea.es`"
      rel="nofollow noopener"
      class="reset navbar-item py-1 fx-underline"
    >
      {{ props.label }}
    </a>
  </span>
</template>

<script>
export default {
  name: 'NavbarMenuItem',
  props: {
    label: { type: String, required: true },
    path: { type: String, required: true },
  },
  methods: {
    internal(link) {
      const isInternal = /^\/([a-z0-9-]+\/)*$/;
      return isInternal.test(link);
    },
  },
};
</script>

<style lang="postcss" scoped>
.navbar-item.fx-underline {
  --line-color: var(--navbar-item-underline-color);
}
.navbar-item.active {
  color: var(--navbar-item-active-color);
}
.navbar-item.active--exact {
  color: var(--navbar-item-active-color);
  @apply cursor-default;
}
</style>
